/**
 * @file google_source.h Google Reader feed list source support
 * 
 * Copyright (C) 2007-2013 Lars Windolf <lars.windolf@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifndef _GOOGLE_SOURCE_H
#define _GOOGLE_SOURCE_H

#include "fl_sources/node_source.h"

/**
 * A nodeSource specific for keeping dead Google Reader sources
 */
typedef struct GoogleSource {
	/* No data anymore, since this is a dummy only */
} *GoogleSourcePtr;

/**
 * @returns Google Reader source type implementation info.
 */
nodeSourceTypePtr google_source_get_type (void);

#endif
